Package de.gebit.integrity.parameter.conversion.conversions.integrity.javaconstants

## Class AbstractJavaConstantConversion<T>

- java.lang.Object
- - de.gebit.integrity.parameter.conversion.Conversion<JavaConstantValue,​T>
  - - de.gebit.integrity.parameter.conversion.conversions.integrity.javaconstants.AbstractJavaConstantConversion<T>

- Type Parameters:
    `T` - target type
  Direct Known Subclasses:
    `JavaConstantToAnything`, `JavaConstantToMap`

      public abstract class AbstractJavaConstantConversion<T>
      extends Conversion<JavaConstantValue,​T>

  Abstract base class for `JavaConstantValue` conversions.
  Author:
    Rene Schneider - initial API and implementation

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class de.gebit.integrity.parameter.conversion.Conversion

      `Conversion.Priority`

  - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `protected ClassLoader` | `classLoader` | Classloader to use.

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `AbstractJavaConstantConversion()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `protected Object` | `performConversion​(JavaConstantValue aSource, Class<? extends Object> aTargetType, ConversionContext aConversionContext)` | Converts a Java Constant Value to anything.

    - ### Methods inherited from class de.gebit.integrity.parameter.conversion.Conversion

      `convert, convertValueRecursive, convertValueToFormattedStringArrayRecursive, setVisitedObjects`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### classLoader

          @Inject
          protected ClassLoader classLoader

      Classloader to use.

  - ### Constructor Detail

    - #### AbstractJavaConstantConversion

          public AbstractJavaConstantConversion()

  - ### Method Detail

    - #### performConversion

          protected Object performConversion​(JavaConstantValue aSource,
                                             Class<? extends Object> aTargetType,
                                             ConversionContext aConversionContext)
                                      throws ConversionFailedException

      Converts a Java Constant Value to anything.
      Parameters:
        `aSource` - the value to convert
        `aTargetType` - the target type
        `aConversionContext` - the conversion context
      Returns:
        the conversion result
      Throws:
        `ConversionFailedException`